﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Mail;
using System.Text;
using System.Threading.Tasks;

namespace EnvoiMail
{
    public class MailHelper
    {
        public static void SendMail(string[] adresses, string subject, string message)
        {
            try
            {
                MailMessage mail = new MailMessage();
                foreach (string adress in adresses)
                {
                    mail.To.Add(adress);
                }

                mail.Subject = subject;
                mail.Body = message;
                mail.From = new MailAddress("contact@eki-robot.com", "Eki-Robot");
                SmtpClient smtpServer = new SmtpClient
                {
                    Host = "smtp.eki-robot.com",
                    Port = 587,
                    EnableSsl = false,
                    DeliveryMethod = SmtpDeliveryMethod.Network,
                    UseDefaultCredentials = false,
                    Credentials = new NetworkCredential("contact@eki-robot.com", "dewamataer")
                };

                smtpServer.Send(mail);
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
            }
            
        }
    }
}
